;;;; business-tycoon.asd

(asdf:defsystem #:business-tycoon
  :description "Describe business-tycoon here"
  :author "Gabriel Pariat <gabriel@pariatech.com>"
  :license  "AGPLv3"
  :version "0.0.1"
  :serial t
  :depends-on (#:cl-glfw3
	       #:cl-opengl
	       #:trivial-main-thread
	       #:cffi
	       #:png-read
	       #:mathkit
	       #:sb-cga)
  :components ((:module "src"
		:serial t
		:components ((:file "package")
			     (:file "camera")
			     (:file "shader")
			     (:file "texture")
			     (:file "renderer")
			     (:file "window")
			     (:file "business-tycoon")))))
